Ginkgo: gko::batch::BatchLinOp Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::batch::BatchLinOp Class Reference
Inheritance diagram for gko::batch::BatchLinOp:
[legend]
Collaboration diagram for gko::batch::BatchLinOp:
[legend]

## Public Member Functions
size_type | get_num_batch_items () const noexcept
| Returns the number of items in the batch operator.
dim< 2 > | get_common_size () const
| Returns the common size of the batch items.
const batch_dim< 2 > & | get_size () const noexcept
| Returns the size of the batch operator.
template<typename ValueType>
void | validate_application_parameters (const MultiVector< ValueType > *b, MultiVector< ValueType > *x) const
| Validates the sizes for the apply(b,x) operation in the concrete BatchLinOp.
template<typename ValueType>
void | validate_application_parameters (const MultiVector< ValueType > *alpha, const MultiVector< ValueType > *b, const MultiVector< ValueType > *beta, MultiVector< ValueType > *x) const
| Validates the sizes for the apply(alpha, b , beta, x) operation in the concrete BatchLinOp.

## Member Function Documentation

## ◆ get_common_size()

dim< 2 > gko::batch::BatchLinOp::get_common_size | ( |  | ) | const
| inline

Returns the common size of the batch items.

Returns
  the common size stored

References gko::batch_dim< Dimensionality, DimensionType >::get_common_size(), and get_size().

Referenced by validate_application_parameters(), and validate_application_parameters().

## ◆ get_num_batch_items()

size_type gko::batch::BatchLinOp::get_num_batch_items | ( |  | ) | const
| inlinenoexcept

Returns the number of items in the batch operator.

Returns
  number of items in the batch operator

References gko::batch_dim< Dimensionality, DimensionType >::get_num_batch_items(), and get_size().

Referenced by validate_application_parameters(), and validate_application_parameters().

## ◆ get_size()

const batch_dim< 2 > & gko::batch::BatchLinOp::get_size | ( |  | ) | const
| inlinenoexcept

Returns the size of the batch operator.

Returns
  size of the batch operator, a batch_dim object

Referenced by get_common_size(), and get_num_batch_items().

The documentation for this class was generated from the following file:

- ginkgo/core/base/batch_lin_op.hpp